package com.bocloud.cmp.model.hmc.sdk.common;

import com.alibaba.fastjson.JSONObject;

/**
 * HttpErrorResponse
 *
 * @author lkx007
 */
public class HttpErrorResponse {
    /**
     * 500
     */
    private String httpStatus;
    /**
     * /rest/api/uom/ManagedSystem/25cc2a4e-b946-3b98-acaa-cdf90628809a/LogicalPartition
     */
    private String uri;
    /**
     * Unknown internal error.
     */
    private String reasonCode;
    /**
     * detail error message
     */
    private String message;

    /**
     * @return the httpStatus
     */
    public String getHttpStatus() {
        return httpStatus;
    }

    /**
     * @param httpStatus the httpStatus to set
     */
    public void setHttpStatus(String httpStatus) {
        this.httpStatus = httpStatus;
    }

    /**
     * @return the uri
     */
    public String getUri() {
        return uri;
    }

    /**
     * @param uri the uri to set
     */
    public void setUri(String uri) {
        this.uri = uri;
    }

    /**
     * @return the reasonCode
     */
    public String getReasonCode() {
        return reasonCode;
    }

    /**
     * @param reasonCode the reasonCode to set
     */
    public void setReasonCode(String reasonCode) {
        this.reasonCode = reasonCode;
    }

    /**
     * @return the message
     */
    public String getMessage() {
        return message;
    }

    /**
     * @param message the message to set
     */
    public void setMessage(String message) {
        this.message = message;
    }

    public HttpErrorResponse() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
